Subject: Re: auditItem in auditReturn

From: Tom-PT Taylor <[email-masked]>
Date: Tue, 31 Oct 2000 10:33:55 -0500

I'm responsible for this ... let's see if I can remember why we did it.

Here we are: RFC 2886 (Errata), fix to section 7.1 quoted as follows:

Section: 7.1 "Descriptors"
   ----------
   Issue: it is unclear how to express empty descriptors in responses to
   the MGC.

   Proposed resolution: In section 7.1, add the following text after the
   sentence: "Descriptors may be returned as output from a command.":
   "In any such return of descriptor contents, an empty descriptor is
   represented by its name unaccompanied by any list."

   In the ASN.1, add the following choice to the AuditReturnParameter
   production:

     "emptyDescriptors               AuditDescriptor,"

   In the ABNF, add the choice auditItem to the production
   auditReturnParameter.

> -----Original Message-----
> From: Rosen, Brian [mailto:[email-masked]]
> Sent: Tuesday, October 31, 2000 9:29 AM
> To: [email-masked]
> Subject: auditItem in auditReturn
>
>
> The ABNF in merged-01 has:
> auditReturnParameter = (mediaDescriptor / modemDescriptor /
>                            muxDescriptor / eventsDescriptor /
>                            signalsDescriptor / digitMapDescriptor /
>                      observedEventsDescriptor /
> eventBufferDescriptor /
>                            statisticsDescriptor / packagesDescriptor /
>                             errorDescriptor / auditItem )
>
> Why is "auditItem" there?  AuditItem is the list of allowed tokens in
> the Audit (request) descriptor.  The production allows you to return
> something like:
> Reply=112a33{Context=1921{Add=term1{EventBuffer}}}
>
> The "eventBuffer" token is just the word.  Why is that?
>
> Brian
>

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 31 Oct 2000 10:55:31 -0500

Huh, so we wanted:
Add=foo{EventBuffer}
rather than
Add=foo{EventBuffer{}}

I seem to recall this discussion (empty lists).  Oh well, it's fine as it
is.
Thanks for reminding me.

Brian

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, October 31, 2000 10:34 AM
To: Rosen, Brian; [email-masked]
Subject: RE: auditItem in auditReturn

> From: Rosen, Brian [ mailto:[email-masked]
<mailto:[email-masked]> ]